Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Classes | Public Types | Static Public Attributes | Protected Types | List of all members
cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ > Struct Template Reference

`#include <gemm_shared_tile.h>`

## Classes
struct | ThreadOffset

## Public Types
typedef platform::remove_const< Scalar_ >::type | Scalar
| The scalar. More...
typedef Scalar_ * | Pointer
| The pointer. More...
typedef ReshapeTile< Tile_, kScalarsPerSts_ >::Tile | TileWithoutSkew
| The tile without skews. More...
typedef ReshapeTile< Shape< Tile_::kD, Tile_::kH, Tile_::kW+kSkew_ >, kScalarsPerSts_ >::Tile | Tile
| The tile. More...
typedef Threads_ | Threads
| The threads. More...
typedef Shape< 1, TileWithoutSkew::kH/Threads::kW, TileWithoutSkew::kW/Threads::kH > | Iterations
| The number of iterations needed to load/store the tile. More...
typedef Shape< 0, ShapeCount< Tile >::kWc, Threads::kH *kAccessSize > | Delta
| The strides in each dimension between different loads/stores. More...
typedef Shape< 0, ShapeCount< Tile >::kWc, Threads::kH *kAccessSize > | ImmediateOffsetStrides
| The strides in each dimension between different loads/stores. More...

## Static Public Attributes
static int const | kSkew = kSkew_
| The skew. More...
static int const | kAccessSize = kScalarsPerSts_
| The number of scalars per STS. More...
static MemorySpace::Kind const | kMemorySpace = MemorySpace::kShared
| The memory space. More...

## Protected Types
typedef Shape< 0, kScalarsPerSts_, ShapeCount< Tile >::kHwc/Threads::kW > | ThreadsStrides
| The strides to compute the base position of the thread. More...

## Member Typedef Documentation

## ◆ Delta

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Shape<0, ShapeCount<Tile>::kWc, Threads::kH * kAccessSize> cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Delta

## ◆ ImmediateOffsetStrides

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Shape<0, ShapeCount<Tile>::kWc, Threads::kH * kAccessSize> cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::ImmediateOffsetStrides

## ◆ Iterations

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Shape<1, TileWithoutSkew::kH / Threads::kW, TileWithoutSkew::kW / Threads::kH> cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Iterations

## ◆ Pointer

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Scalar_* cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Pointer

## ◆ Scalar

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef platform::remove_const<Scalar_>::type cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Scalar

## ◆ Threads

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Threads_ cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Threads

## ◆ ThreadsStrides

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef Shape<0, kScalarsPerSts_, ShapeCount<Tile>::kHwc / Threads::kW> cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::ThreadsStrides
| protected

## ◆ Tile

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef ReshapeTile<Shape<Tile_::kD, Tile_::kH, Tile_::kW + kSkew_>, kScalarsPerSts_>::Tile cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::Tile

## ◆ TileWithoutSkew

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

typedef ReshapeTile<Tile_, kScalarsPerSts_>::Tile cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::TileWithoutSkew

## Member Data Documentation

## ◆ kAccessSize

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

int const cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::kAccessSize = kScalarsPerSts_
| static

## ◆ kMemorySpace

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

MemorySpace::Kind const cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::kMemorySpace = MemorySpace::kShared
| static

## ◆ kSkew

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_, int kSkew_>

int const cutlass::gemm::GemmSharedStoreWithSkewTileAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_, kSkew_ >::kSkew = kSkew_
| static

The documentation for this struct was generated from the following file:

- gemm_shared_tile.h